API_KEY='live_...'
PARAMS='project_name=My+Test+Project&status=completed&limit=10'
curl --request GET \
--url "https://api.scale.com/v2/batches?$PARAMS" \
--header "Authorization: Bearer $API_KEY"{
"batches": [
{
"$ref": "#/components/examples/SampleBatch/value"
}
],
"next_token": "imatoken123"
}{
"status_code": 500,
"error": "An error has occurred."
}Batches
Get Multiple Batches
GET
/
v2
/
batches
API_KEY='live_...'
PARAMS='project_name=My+Test+Project&status=completed&limit=10'
curl --request GET \
--url "https://api.scale.com/v2/batches?$PARAMS" \
--header "Authorization: Bearer $API_KEY"{
"batches": [
{
"$ref": "#/components/examples/SampleBatch/value"
}
],
"next_token": "imatoken123"
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Query Parameters
Scale's unique identifier for the project. A unique identifier for the project.
Example:
"project_abc123"
The name of the project.
Example:
"My Scale Project"
The current status of the batch, indicating whether it is staging, in_progress, completed, or paused. Status of the batch.
Available options:
staging, in_progress, completed, paused, cancelled A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
Limit the number of entities returned.
Required range:
1 <= x <= 100A token used to retrieve the next page of results if there are more. You can find the next_token in your last request

